#!/bin/sh
#Make sure prerequisite environment variables are set
if [ "JAVA_HOME" = "" ]
then
    echo "The JAVA_HOME environment variable is not defined"
    echo "This environment variable is needed to run this program"
fi

#Setup Environment variables for Mule
# Set any jars you want to appear at the begining of the classpath here
# remember to terminate with a :

PRE_MULE_CLASSPATH=

#Set any jars you want to appear at the end of the classpath here
#remember to terminate with a :

POST_MULE_CLASSPATH=


LIB_DIR=../../../lib
DIST_DIR=../../../dist
CLASSPATH=.:../classes:../conf:$PRE_MULE_CLASSPATH:
CLASSPATH=$CLASSPATH$DIST_DIR/mule-1.0-rc3.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/activation-1.0.1.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/axis-1.2-RC3.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/axis-jaxrpc-1.2-RC3.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/axis-saaj-1.2-RC3.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/axis-wsdl4j-1.2-RC3.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/commons-beanutils-1.6.1.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/commons-collections-2.1.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/commons-dbutils-1.0.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/commons-digester-1.5.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/commons-discovery-0.2-dev.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/commons-httpclient-2.0.2.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/commons-jxpath-1.1.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/commons-logging-1.0.3.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/commons-pool-1.1.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/concurrent-1.3.4.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/dom4j-1.4.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/geronimo-spec-j2ee-1.4-rc2.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/javamail-1.3.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/jmxri-1.2.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/jmxtools-1.2.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/jug-1.0.3.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/log4j-1.2.8.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/mule-core-1.0-rc3.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/mule-http-provider-1.0-rc3.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/mule-tcp-provider-1.0-rc3.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/mule-udp-provider-1.0-rc3.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/mx4j-jmx-2.1.1.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/mx4j-remote-2.1.1.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/mx4j-tools-2.1.1.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/smack-1.4.1.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/smackx-1.4.1.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/xapool-1.4.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/xpp3-1.1.3.4d_b4_min.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/xstream-1.0.2.jar:
CLASSPATH=$CLASSPATH$LIB_DIR/mule-extras-spring/spring-1.1.5.jar:

CLASSPATH=$CLASSPATH$POST_MULE_CLASSPATH%

#if using cygwin under windows we need to make the paths windows friendly

case "`uname`" in
CYGWIN*)
  if [ -n "CLASSPATH" ]
  then
   CLASSPATH=`cygpath -pw $CLASSPATH`
  fi
esac

$JAVA_HOME/bin/java -classpath $CLASSPATH org.mule.samples.loanbroker.LoanConsumer $@