/* 
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/MuleRuntimeException.java,v 1.1.1.1 2005/02/15 02:27:55 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:27:55 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk 
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 *
 */
package org.mule;

/**
 * <code>MuleRuntimeException</code> Is the base runtime exception type for the Mule Server
 * any other runtimes exceptions thrown by Mule code will use or be based on this exception. Runtime
 * exceptions in mule are only ever thrown where the method is not declared to throw an exception and
 * the exception is serious.
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */
public class MuleRuntimeException extends RuntimeException
{

    /**
     * @param message the exception message
     */
    public MuleRuntimeException(String message)
    {
        super(message);
    }

    /**
     * @param message the exception message
     * @param cause   the exception that triggered this exception
     */
    public MuleRuntimeException(String message, Throwable cause)
    {
        super(message, cause);
    }
}