/*
 * $Header: /home/projects/mule/scm/mule/mule-extras/client/src/java/org/mule/extras/client/EventObjectTransformer.java,v 1.1.1.1 2005/02/15 02:28:37 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:37 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.extras.client;

import org.mule.impl.MuleMessage;
import org.mule.umo.transformer.TransformerException;

import java.util.EventObject;

/**
 * <code>EventObjectTransformer</code> converts a <code>java.util.EventObject</code>
 * into a <code>MuleMessage</code>.  This transformer is used by the MuleProxyListener
 * to marshall events into something that Mule understands.
 * @see MuleProxyListener
 * @see MuleMessage
 * @see EventObject
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */

public class EventObjectTransformer extends AbstractEventTransformer
{
    public EventObjectTransformer()
    {
        registerSourceType(EventObject.class);
    }

    public Object doTransform(Object src) throws TransformerException
    {
        EventObject event = (EventObject)src;
        return new MuleMessage(event.getSource(), null);
    }
}
