/* 
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/interceptors/EnvelopeInterceptor.java,v 1.1.1.1 2005/02/15 02:27:58 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:27:58 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk 
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 *
 */

package org.mule.interceptors;

import org.mule.umo.Invocation;
import org.mule.umo.UMOException;
import org.mule.umo.UMOInterceptor;
import org.mule.umo.UMOMessage;

/**
 * <code>EnvelopeInterceptor</code> is an intercepter that will fire before and after
 * an event is received.
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */
public abstract class EnvelopeInterceptor implements UMOInterceptor
{
    /**
     * This method is invoked before the event is processed
     *
     * @param invocation the message invocation being processed
     */
    public abstract void before(Invocation invocation) throws UMOException;

    /**
     * This method is invoked after the event has been processed
     *
     * @param invocation the message invocation being processed
     */
    public abstract void after(Invocation invocation) throws UMOException;


    public final UMOMessage intercept(Invocation invocation) throws UMOException
    {
        before(invocation);
        UMOMessage message = invocation.execute();
        invocation.setMessage(message);
        after(invocation);
        return message;
    }
}
