/* 
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/interceptors/TimerInterceptor.java,v 1.1.1.1 2005/02/15 02:27:58 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:27:58 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk 
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 *
 */

package org.mule.interceptors;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.mule.umo.Invocation;
import org.mule.umo.UMOException;
import org.mule.umo.UMOInterceptor;
import org.mule.umo.UMOMessage;

/**
 * <code>TimerInterceptor</code> simply times and displays the time taken to process
 * an event.
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */
public class TimerInterceptor implements UMOInterceptor
{
    /**
     * logger used by this class
     */
    private static transient Log logger = LogFactory.getLog(TimerInterceptor.class);

    /* (non-Javadoc)
     * @see org.mule.umo.UMOInterceptor#intercept(org.mule.umo.UMOEvent)
     */
    public UMOMessage intercept(Invocation invocation) throws UMOException
    {
        long startTime = System.currentTimeMillis();
        UMOMessage result = invocation.execute();
        long executionTime = System.currentTimeMillis() - startTime;
        logger.info(invocation.getDescriptor().getName() + " took " + executionTime + "ms to process event [" + invocation.getEvent().getId() + "]");
        return result;
    }
}
