/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/providers/ReplyToHandler.java,v 1.1.1.1 2005/02/15 02:28:13 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:13 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.providers;

import org.mule.umo.UMOEvent;
import org.mule.umo.UMOException;
import org.mule.umo.UMOMessage;
import org.mule.umo.transformer.UMOTransformer;

/**
 * <code>ReplyToHandler</code> is used to handle routing where a replyTo endpointUri
 * is set on the message
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */

public interface ReplyToHandler
{
    public void processReplyTo(UMOEvent event, UMOMessage returnMessage, Object replyTo) throws UMOException;

    public void setTransformer(UMOTransformer transformer);

    public UMOTransformer getTransformer();
}
