/*
 * $Header: /home/projects/mule/scm/mule/providers/jms/src/java/org/mule/providers/jms/filters/JmsSelectorFilter.java,v 1.2 2005/03/09 01:56:29 rossmason Exp $
 * $Revision: 1.2 $
 * $Date: 2005/03/09 01:56:29 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.providers.jms.filters;

import org.mule.umo.UMOFilter;

/**
 * <code>JmsSelectorFilter</code> is a wrapper for a Jms Selector.
 * This filter should not be called. Instead the JmsConnector sets the selector on
 * the destionation to the expression set on this filer.
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.2 $
 */
public class JmsSelectorFilter implements UMOFilter
{
    private String expression = null;

    public boolean accept(Object object)
    {
        //If we have received the message the selector has been honoured
        return true;
    }

    public String getExpression()
    {
        return expression;
    }

    public void setExpression(String expression)
    {
        this.expression = expression;
    }
}
