/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/routing/AbstractCatchAllStrategy.java,v 1.1.1.1 2005/02/15 02:27:55 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:27:55 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.routing;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.mule.management.stats.RouterStatistics;
import org.mule.umo.endpoint.UMOEndpoint;
import org.mule.umo.routing.UMORouterCatchAllStrategy;

/**
 * <code>ForwardingCatchAllStrategy</code> acts as a catch and forward router for any events
 * not caught by the router this strategy is associated with.  Users can assign an endpoint to this strategy to
 * forward all events to.  This is similar to a dead letter queue in messaging.
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */

public abstract class AbstractCatchAllStrategy implements UMORouterCatchAllStrategy
{
    /**
     * logger used by this class
     */
    protected  transient Log logger = LogFactory.getLog(getClass());
    
    protected UMOEndpoint endpoint;

    protected RouterStatistics statistics;

    public void setEndpoint(UMOEndpoint endpoint)
    {
        this.endpoint = endpoint;
    }

    public UMOEndpoint getEndpoint()
    {
        return endpoint;
    }

    public RouterStatistics getStatistics()
    {
        return statistics;
    }

    public void setStatistics(RouterStatistics statistics)
    {
        this.statistics = statistics;
    }

}
