/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/routing/filters/EqualsFilter.java,v 1.1.1.1 2005/02/15 02:27:55 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:27:55 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.routing.filters;

import org.mule.umo.UMOFilter;

/**
 * <code>EqualsFilter</code> is a filer for comparing two objects using the equals() method.
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */

public class EqualsFilter implements UMOFilter
{
    private Object pattern;

    public EqualsFilter()
    {
    }


    public EqualsFilter(Object compareTo) {
        this.pattern = compareTo;
    }

    public boolean accept(Object object)
    {
        if(object==null && pattern ==null) return true;
        if(object==null || pattern ==null) return false;
        return pattern.equals(object);
    }

    public Object getPattern()
    {
        return pattern;
    }

    public void setPattern(Object pattern)
    {
        this.pattern = pattern;
    }


}
