/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/routing/filters/PayloadTypeFilter.java,v 1.1.1.1 2005/02/15 02:27:56 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:27:56 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.routing.filters;

import org.mule.umo.UMOFilter;

/**
 * <code>PayloadTypeFilter</code> filters based on the type of the object received.
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */

public class PayloadTypeFilter implements UMOFilter
{
    private Class expectedType;

    public PayloadTypeFilter()
    {
    }

    public PayloadTypeFilter(Class expectedType)
    {
        this.expectedType = expectedType;
    }


    public boolean accept(Object object)
    {
        return expectedType.isAssignableFrom(object.getClass());
    }

    public Class getExpectedType()
    {
        return expectedType;
    }

    public void setExpectedType(Class expectedType)
    {
        this.expectedType = expectedType;
    }
}
