/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/routing/outbound/StaticRecipientList.java,v 1.1.1.1 2005/02/15 02:27:55 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:27:55 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */

package org.mule.routing.outbound;

import EDU.oswego.cs.dl.util.concurrent.CopyOnWriteArrayList;
import org.mule.impl.RequestContext;
import org.mule.umo.UMOMessage;

import java.util.List;

/**
 * <code>StaticRecipientList</code> is used to dispatch a single event to multiple recipients
 * over the same transport.  The recipient endpoints for this router can be configured statically
 * on the router itself.
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */

public class StaticRecipientList extends AbstractRecipientList
{
    private CopyOnWriteArrayList recipients = new CopyOnWriteArrayList();


    protected  CopyOnWriteArrayList getRecipients(UMOMessage message)
    {
        List list = (List)message.removeProperty("recipients");
        if(list!=null) {
            return new CopyOnWriteArrayList(list);
        }
        list = (List)RequestContext.getProperty("recipients");

        if(list!=null) {
            return new CopyOnWriteArrayList(list);
        }
        return recipients;
    }

    public List getRecipients()
    {
        return recipients;
    }

    public void setRecipients(List recipients)
    {
        if(recipients!=null) {
            this.recipients = new CopyOnWriteArrayList(recipients);
        } else {
            this.recipients = null;
        }
    }


}
