/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/transaction/constraints/BatchConstraint.java,v 1.1.1.1 2005/02/15 02:28:20 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:20 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.transaction.constraints;

import org.mule.umo.UMOEvent;

/**
 * <code>BatchConstraint</code> is a filter that counts on every execution and returns
 * true when the batch size value equals the execution count.
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */

public class BatchConstraint extends ConstraintFilter
{
    private int batchSize = 1;

    private int batchCount = 0;

    public boolean accept(UMOEvent event)
    {
        batchCount++;
        return batchCount == batchSize;
    }

    public int getBatchSize()
    {
        return batchSize;
    }

    public void setBatchSize(int batchSize)
    {
        this.batchSize = batchSize;
    }

    public Object clone() throws CloneNotSupportedException
    {
        BatchConstraint clone = new BatchConstraint();
        clone.setBatchSize(batchSize);
        for(int i = 0; i < batchCount;i++) {
            clone.accept(null);
        }
        return clone;
    }


}