/* 
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/transformers/codec/UCDecoder.java,v 1.1 2005/02/23 06:28:53 rossmason Exp $
 * $Revision: 1.1 $
 * $Date: 2005/02/23 06:28:53 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk 
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 */
package org.mule.transformers.codec;

import org.mule.transformers.DefaultTransformer;
import org.mule.umo.transformer.TransformerException;
import sun.misc.BASE64Encoder;
import sun.misc.BASE64Decoder;

import java.io.IOException;

/**
 * <code>Base64Encoder</code> transforms strings or byte arrays into Base64 encoded
 * string
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1 $
 */
public class UCDecoder extends DefaultTransformer
{
    private sun.misc.UCDecoder decoder;
    
    public UCDecoder()
    {
        registerSourceType(String.class);
        registerSourceType(byte[].class);
        setReturnClass(String.class);
        decoder = new sun.misc.UCDecoder();
    }

    /* (non-Javadoc)
     * @see org.mule.umo.transformer.UMOTransformer#transform(java.lang.Object)
     */
    public Object doTransform(Object src) throws TransformerException
    {
        String data;
        if(src instanceof byte[]) {
            data = new String((byte[])src);
        } else {
            data = (String)src;
        }
        try
        {
            byte[] result = decoder.decodeBuffer(data);
            if(getReturnClass().equals(String.class)) {
                return new String(result);
            }
            return result;
        } catch (IOException e)
        {
            throw new TransformerException("Failed to decode data from UU Encoding: " + e.getMessage(), e);
        }
    }
}
