/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/transformers/xml/XmlToObject.java,v 1.1.1.1 2005/02/15 02:28:24 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:24 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.transformers.xml;

import org.mule.umo.transformer.TransformerException;

/**
 * <code>XmlToObject</code> converts xml created by the ObjectToXml transformer
 * in to a java object graph.  This transformer uses XStream.
 * Xstream uses some cleaver tricks so objects that get marshalled to xml do not
 * need to implement any interfaces including Serializable and you don't even
 * need to specify a default constructor.
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 * @see org.mule.transformers.xml.ObjectToXml
 */

public class XmlToObject extends AbstractXStreamTransformer
{
    public XmlToObject()
    {
        registerSourceType(String.class);
    }

    public Object doTransform(Object src) throws TransformerException
    {
        return getXStream().fromXML(src.toString());
    }
}
