/* 
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/UMOInterceptor.java,v 1.1.1.1 2005/02/15 02:28:21 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:21 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk 
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 *
 */

package org.mule.umo;

/**
 * <code>UMOInterceptor</code> is based on a similar concept of servlet filters and works much the
 * same way.  This method is more commonally known as the interceptor pattern and it allows for pre and
 * processing of invocations on the object being intercepted.
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */
public interface UMOInterceptor
{
    /**
     * Invoked by the previous interceptor in the chain
     * @param invocation the invocation containing info about the current message and component
     * @return A result message that may have been altered by this invocation
     * @throws UMOException if the invocation fails
     */
    public UMOMessage intercept(Invocation invocation) throws UMOException;
}
