/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/UMOMessage.java,v 1.1.1.1 2005/02/15 02:28:22 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:22 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.umo;

import org.mule.umo.provider.UMOMessageAdapter;

import java.util.Map;

/**
 * <code>UMOMessage</code> represents a message payload.  The Message comprises of the
 * payload itself and properties associated with the payload.
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */

public interface UMOMessage extends UMOMessageAdapter
{
    /**
     * Adds a map of properties to associated with this message
     * @param properties the properties add to this message
     */
    public void addProperties(Map properties);

    /**
     * Removes all properties on this message
     */
    public void clearProperties();

    /**
     * Returns a map of all properties on this message
     * @return a map of all properties on this message
     */
    public Map getProperties();
}
