/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/model/UMOEntryPoint.java,v 1.1.1.1 2005/02/15 02:28:23 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:23 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.umo.model;

import org.mule.umo.UMOEventContext;
import org.mule.umo.transformer.TransformerException;

import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

/**
 * <code>UMOEntryPoint</code> defines the current entry method on a component
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */
public interface UMOEntryPoint
{
    Class getParameterType();

    Object invoke(Object component, UMOEventContext context, Method method) throws InvocationTargetException, IllegalAccessException, TransformerException;

    boolean isVoid();

    String getMethodName();
}
