/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/security/UnknownAuthenticationTypeException.java,v 1.1 2005/02/18 06:10:24 rossmason Exp $
 * $Revision: 1.1 $
 * $Date: 2005/02/18 06:10:24 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.umo.security;

/**
 * <code>UnknownAuthenticationTypeException</code> is thrown if a security
 * context request is make with an unrecognised UMOAuthentication type.
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1 $
 */

public class UnknownAuthenticationTypeException extends UMOSecurityException
{
    /**
     * @param auth the unrecognised UMOAuthentication object
     */
    public UnknownAuthenticationTypeException(UMOAuthentication auth)
    {
        super("The authentication type " + auth.getClass().getName() + " is not recognied by the security manager");
    }
}
