/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/util/monitor/FileListener.java,v 1.1.1.1 2005/02/15 02:28:17 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:17 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.util.monitor;

import java.io.File;
import java.io.IOException;

/**
 * Interface for listening to disk file changes.
 * @see FileMonitor
 *
 * @author <a href="mailto:jacob.dreyer@geosoft.no">Jacob Dreyer</a>
 */
public interface FileListener
{
  /**
   * Called when one of the monitored files are created, deleted
   * or modified.
   *
   * @param file  File which has been changed.
   */
  void fileChanged (File file)  throws IOException;
}
