/*
 * $Header: /home/projects/mule/scm/mule/mule-extras/groovy/src/test/java/org/mule/extras/GroovyComponentTestCase.java,v 1.1 2005/02/25 02:04:20 rossmason Exp $
 * $Revision: 1.1 $
 * $Date: 2005/02/25 02:04:20 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.extras;

import org.mule.MuleManager;
import org.mule.config.builders.MuleXmlConfigurationBuilder;
import org.mule.extras.client.MuleClient;
import org.mule.tck.NamedTestCase;
import org.mule.umo.UMOMessage;

/**
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1 $
 */
public class GroovyComponentTestCase extends NamedTestCase
{
    public void setUp() throws Exception
    {
        super.setUp();
        if(MuleManager.isInstanciated()) MuleManager.getInstance().dispose();
        MuleXmlConfigurationBuilder builder = new MuleXmlConfigurationBuilder();
        builder.configure("groovy-mule-config.xml");
    }

    public void testFunctionBehaviour() throws Exception
    {
        MuleClient client = new MuleClient(true);
        UMOMessage m = client.send("vm://localhost/groovy.1", "Groovy Test: ", null);
        assertNotNull(m);
        assertEquals("Groovy Test: Received by component 1: Received by component 2:", m.getPayloadAsString());
    }
}
