/*
 * $Header: /home/projects/mule/scm/mule/mule-extras/spring/src/test/java/org/mule/extras/spring/events/TestApplicationEventBean.java,v 1.1 2005/02/25 02:32:46 rossmason Exp $
 * $Revision: 1.1 $
 * $Date: 2005/02/25 02:32:46 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.extras.spring.events;

import org.mule.tck.functional.EventCallback;
import org.mule.util.StringMessageHelper;
import org.springframework.context.ApplicationEvent;
import org.springframework.context.ApplicationListener;

/**
 * <code>TestApplicationEventBean</code> is a bean for testing Spring
 * ApplicationListeners with the MuleEventMulticaster
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1 $
 */

public class TestApplicationEventBean implements ApplicationListener
{
    private EventCallback eventCallback;

    public void onApplicationEvent(ApplicationEvent event)
    {
        System.out.println(StringMessageHelper.getBoilerPlate("Recieved Spring event " + event.getClass().getName()));

        if(eventCallback!= null) {
            try
            {
                eventCallback.eventReceived(null, event);
            } catch (Exception e1)
            {
                throw new RuntimeException("Callback failed: " + e1.getMessage(), e1);
            }
        }
    }

    public EventCallback getEventCallback()
    {
        return eventCallback;
    }

    public void setEventCallback(EventCallback eventCallback)
    {
        this.eventCallback = eventCallback;
    }

}
