/*
 * $Header: /home/projects/mule/scm/mule/mule/src/test/java/org/mule/test/transformers/SerialisedObjectTransformersTestCase.java,v 1.2 2005/02/23 22:23:45 topping Exp $
 * $Revision: 1.2 $
 * $Date: 2005/02/23 22:23:45 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.test.transformers;

import org.mule.tck.AbstractTransformerTestCase;
import org.mule.transformers.simple.ByteArrayToSerialisable;
import org.mule.transformers.simple.SerialisableToByteArray;
import org.mule.umo.transformer.UMOTransformer;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.util.Arrays;

/**
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.2 $
 */
public class SerialisedObjectTransformersTestCase extends AbstractTransformerTestCase
{
    private Exception testObject = new Exception("test");

    public UMOTransformer getTransformer() throws Exception
    {
        return new SerialisableToByteArray();
    }

    public UMOTransformer getRoundTripTransformer() throws Exception
    {
        return new ByteArrayToSerialisable();
    }

    public Object getTestData()
    {
        return testObject;
    }

    public Object getResultData()
    {
        try
        {
            ByteArrayOutputStream bs = null;
            ObjectOutputStream os = null;

            bs = new ByteArrayOutputStream();
            os = new ObjectOutputStream(bs);
            os.writeObject(testObject);
            os.flush();
            os.close();
            return bs.toByteArray();
        } catch (IOException e)
        {
            throw new IllegalStateException(e.getMessage());
        }
    }

    public boolean compareResults(Object src, Object result) {
        if (src == null && result == null) return true;
        if (src == null || result == null) return false;
        return Arrays.equals((byte[]) src, (byte[]) result);
    }

    public boolean compareRoundtripResults(Object src, Object result) {
        if (src == null && result == null) return true;
        if (src == null || result == null) return false;
        if (src instanceof Exception && result instanceof Exception) {
            return ((Exception)src).getMessage().equals(((Exception) result).getMessage());
        } else {
            throw new IllegalStateException("arguments are not Exceptions");
        }
    }
}
